<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">


    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/linearLayout2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:gravity="bottom"
        android:orientation="vertical"

        app:layout_constraintTop_toBottomOf="@+id/list_contacts"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <requestFocus />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/dial_number_text"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp"
            android:background="@drawable/background_line"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/dial_number"
                android:layout_width="0dp"
                android:layout_height="40dp"
                android:layout_marginStart="15dp"
                android:layout_weight="5"
                android:maxLength="25"
                android:inputType="phone"
                android:singleLine="false"
                android:gravity="center_horizontal"
                android:textAlignment="gravity"
                android:scrollHorizontally="true"
                android:textSize="30sp"
                android:visibility="visible"
                app:autoSizeMaxTextSize="30dp"
                app:autoSizeMinTextSize="15dp"
                app:autoSizeTextType="uniform"
                android:textColor="@color/black"/>

            <EditText
                android:id="@+id/dial_number_edit"
                android:layout_width="0dp"
                android:layout_height="40dp"
                android:layout_weight="5"
                android:background="@null"
                android:gravity="center_horizontal"

                android:textSize="30sp"
                android:maxLength="25"
                android:inputType="phone"
                android:singleLine="false"
                app:autoSizeMaxTextSize="30dp"
                app:autoSizeMinTextSize="15dp"
                app:autoSizeTextType="uniform"
                android:layout_marginStart="15dp"
                android:visibility="gone"
                android:autofillHints=""
                android:textColor="@color/black"/>

            <ImageView
                android:id="@+id/backspace"
                android:layout_width="50dp"
                android:layout_height="39dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:padding="5dp"
                android:src="@drawable/ic_backspace_black_24dp"
                android:tint="@color/colorOff" />

        </androidx.appcompat.widget.LinearLayoutCompat>


        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:gravity="center"
            android:orientation="horizontal">

            <include
                android:id="@+id/button_1"
                layout="@layout/view_dialpad_button_one"

                />

            <include
                android:id="@+id/button_2"
                layout="@layout/view_dialpad_button" />

            <include
                android:id="@+id/button_3"
                layout="@layout/view_dialpad_button" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="horizontal">

            <include
                android:id="@+id/button_4"
                layout="@layout/view_dialpad_button" />

            <include
                android:id="@+id/button_5"
                layout="@layout/view_dialpad_button" />

            <include
                android:id="@+id/button_6"
                layout="@layout/view_dialpad_button" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="horizontal">

            <include
                android:id="@+id/button_7"
                layout="@layout/view_dialpad_button" />

            <include
                android:id="@+id/button_8"
                layout="@layout/view_dialpad_button" />

            <include
                android:id="@+id/button_9"
                layout="@layout/view_dialpad_button" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="horizontal">

            <include
                android:id="@+id/button_star"
                layout="@layout/view_dialpad_button_star" />

            <include
                android:id="@+id/button_0"
                layout="@layout/view_dialpad_button" />

            <include
                android:id="@+id/button_dash"
                layout="@layout/view_dialpad_button_dash" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:gravity="center"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/call_button_wings"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dialpad_button_margin"
                android:layout_marginRight="@dimen/dialpad_button_margin"
                android:padding="10dp"
                android:src="@drawable/ic_call_wings2"
                android:tint="@color/colorOff" />

            <ImageView
                android:id="@+id/call_button"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_margin="18dp"
                android:background="@drawable/bground_answer"
                android:padding="10dp"
                android:src="@drawable/ic_phone_black_24dp"
                android:tint="@color/colorWhite" />

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/hide_dialer_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dialpad_button_margin"
                android:layout_marginRight="@dimen/dialpad_button_margin"
                android:clickable="true"
                android:orientation="vertical"
                android:padding="10dp">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:src="@drawable/ic_dialpad_black_18dp"
                    android:textColor="@color/material_blue" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="@string/hide"
                    android:textSize="10sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>

        </androidx.appcompat.widget.LinearLayoutCompat>


    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tvTLC"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:layout_marginStart="10dp"
        android:text="Todos los contactos"
        android:visibility="invisible"
        app:layout_constraintBottom_toTopOf="@+id/list_contacts"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"



        />

    <ListView
        android:id="@+id/list_contacts"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:divider="@android:color/transparent"
        android:dividerHeight="1px"
        android:footerDividersEnabled="false"
        android:orientation="vertical"
        android:overScrollFooter="@android:color/transparent"
        android:scrollbarStyle="outsideInset"
        android:nestedScrollingEnabled="true"



        app:layout_constraintBottom_toTopOf="@+id/linearLayout2"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tvTLC" />



</androidx.constraintlayout.widget.ConstraintLayout>